﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Chart;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamChartUpdate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<MyDataPoint> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            Data = new ObservableCollection<MyDataPoint>();
            Data.Add(new MyDataPoint() { Value = 5, Label = "Label1" });
            Data.Add(new MyDataPoint() { Value = 15, Label = "Label2" });
            Data.Add(new MyDataPoint() { Value = 25, Label = "Label3" });
            Data.Add(new MyDataPoint() { Value = 35, Label = "Label4" });
            Data.Add(new MyDataPoint() { Value = 45, Label = "Label5" });

            xamChart1.DataContext = Data;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.xamChart1.RefreshEnabled = false;

            Data[4].Value = 100;

            this.xamChart1.RefreshEnabled = true;

        }
    }

    public class MyDataPoint : INotifyPropertyChanged
    {
        private int _value;

        public int Value
        {
            get 
            { 
                return _value;
            }
            set 
            {
                _value = value;
                PropChanged("Value");
            }
        }

        private string label;

        public string Label
        {
            get 
            { 
                return label; 
            }
            set
            { 
                label = value;
                PropChanged("Label");
            }
        }
        

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
